Package net.shibboleth.shared.logic

# Class CaseInsensitiveStringMatchPredicate

java.lang.Object
net.shibboleth.shared.logic.CaseInsensitiveStringMatchPredicate

All Implemented Interfaces:
  `Predicate<CharSequence>`

public class CaseInsensitiveStringMatchPredicate extends Object implements Predicate<CharSequence>
A `Predicate` that checks that a given input string matches a target string while ignoring case. If a given input is `null` this predicate returns `false`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`target`
The target string.

## Constructor Summary

Constructors
Constructor
Description
`CaseInsensitiveStringMatchPredicate(String matchString)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(CharSequence input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### target

@Nonnull private final String target
The target string.

## Constructor Details

### CaseInsensitiveStringMatchPredicate

public CaseInsensitiveStringMatchPredicate(@Nonnull String matchString)
Constructor.

Parameters:
  `matchString` - that string against which predicate inputs will be checked

## Method Details

### test

public boolean test(@Nullable CharSequence input)

Specified by:
  `test` in interface `Predicate<CharSequence>`